
Redmine - Defect #2939

display truncated on large files into repository

2009-03-09 11:53 - Damien Couderc

Status: Closed Start date: 2009-03-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.1

Description

Here is an example :

http://www.redmine.org/repositories/entry/redmine/trunk/vendor/plugins/rfpdf/lib/rfpdf/makefont.rb

Annotate view has the same bug.

History

#1 - 2009-03-09 12:07 - Damien Couderc

More info :

The problem has been spotted on Firefox (3.0.x)

IE does not truncate the file display but is taking a very long time to display the page

I think that FF detects a loop somewhere or something that eat to much CPU and stop the renderer which IE does not.

Would that mean the problem comes from CodeRay ?

#2 - 2009-03-09 16:24 - Matt Williams

I assume by truncation you mean that the whole file is not displayed? If so, them I am not seeing any truncation in either Firefox 3.0.2 or Konqueror

4.2.65.

#3 - 2009-03-10 01:28 - Eric Davis

I also see the end of the file using Firefox 3:

1786        MakeFont(ARGV[0], ARGV[1], enc, patch, type)

1787    end

#4 - 2009-03-10 09:18 - Damien Couderc

Well, i tried with a Linux based FF and it works.

Using the same proxy on my windows workstation did not help to fix the problem.

Anyway this is not a Redmine bug so you can close the ticket as rejected.

Thank you,

Damien

#5 - 2009-03-10 21:22 - Jean-Philippe Lang

Seems to be the same as #2234. It should have been fixed (but maybe not applied here on redmine.org).

I'll check that.

#6 - 2009-03-13 14:21 - Damien Couderc

- Status changed from New to Resolved

Well,i am using Redmine 0.8.2 where the fix seems to be applied but still got the problem.

But as i said above it works well using Firefox on another computer which is not using a proxy so i have some doubts on the proxy i currently use at

work.

I expect to check this at home.
Thank you

#7 - 2009-03-13 19:39 - Damien Couderc

I've just tested right now and the bug is still present on the redmine site (URL in description).

I'm using Firefox 3.0.7.

One precision is that only the code box is truncated as in the ticket #2234.

I still get the footer with "Powered by Redmine ..."

#8 - 2010-11-06 10:18 - Damien Couderc

I no longer have this issue, if someone can close it ...

#9 - 2010-11-06 13:52 - Felix Schäfer

- Status changed from Resolved to Closed

#10 - 2010-11-06 13:52 - Felix Schäfer

Thanks for the feedback :-)
